Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/dataProvider/dataProvider.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/dataProvider/dataProvider.service.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/dataProvider/dataProvider.service.ts	(revision 53464)
@@ -54,11 +54,12 @@
     }
 
     parseDataproviderAggregationStatus(data: any): any {
-        var aggregationStatus: {"fundedContent": string, "indexRecords": string} = null;
+        var aggregationStatus: {"fundedContent": string, "indexRecords": string, "fulltexts": string} = null;
         if(data != null && data[0] != null) {
-          aggregationStatus = {"fundedContent": "-1", "indexRecords": "-1"};
+          aggregationStatus = {"fundedContent": "-1", "indexRecords": "-1", "fulltexts": "-1"};
           aggregationStatus.fundedContent = data[0].fundedContent;
           aggregationStatus.indexRecords = data[0].indexRecords;
+          aggregationStatus.fulltexts = data[0].fulltexts;
         }
         return aggregationStatus;
     }
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/dataProviders/entityRegistries.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/dataProviders/entityRegistries.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/dataProviders/entityRegistries.component.ts	(revision 53464)
@@ -19,7 +19,7 @@
                  [(results)] = "results" [(searchUtils)] = "searchUtils"
                  [baseUrl] = "baseUrl" [showResultCount]=false
                  (queryChange)="queryChanged($event)"
-                 [csvParams]="csvParams" csvPath="resources"
+                 [csvParams]="csvParams" csvPath="datasources"
                  [disableForms]="disableForms"
                  [tableViewLink]="'/search/entity-registries-table'"
                  searchFormClass="entityRegistriesSearchForm">
@@ -52,7 +52,7 @@
   public disableForms: boolean = false;
 
   @ViewChild (SearchPageComponent) searchPage : SearchPageComponent ;
-  public resourcesQuery = "&query=((oaftype exact datasource) and(datasourcetypeuiid = other))";
+  public resourcesQuery = "((oaftype exact datasource) and(datasourcetypeuiid = other))";
   public csvParams: string;
 properties:EnvProperties;
   constructor (private route: ActivatedRoute, private _searchDataprovidersService: SearchDataprovidersService ) {
@@ -85,7 +85,9 @@
       this.filters = this.createFilters();
 
       var queryParameters = this.searchPage.getIndexQueryParametersFromUrl(params);
-      this._getResults(queryParameters, false, this.searchUtils.page, this.searchUtils.size);
+      var csvParameters = this.searchPage.getQueryParametersFromUrl(params);
+
+      this._getResults(queryParameters, csvParameters, false, this.searchUtils.page, this.searchUtils.size);
     });
   }
 
@@ -96,8 +98,12 @@
     if(this.subResults){
       this.subResults.unsubscribe();
     }  }
-    private _getResults(parameters:string,refine:boolean, page: number, size: number){
-        this.csvParams = parameters+this.resourcesQuery+"&type=datasources";
+    private _getResults(parameters:string, csv_parameters:string, refine:boolean, page: number, size: number){
+      if(csv_parameters.indexOf("fq=") != -1) {
+        this.csvParams = csv_parameters+" and "+this.resourcesQuery;
+      } else {
+        this.csvParams = csv_parameters+"&fq="+this.resourcesQuery;
+      }
 
       //var errorCodes:ErrorCodes = new ErrorCodes();
       this.searchUtils.status = this.errorCodes.LOADING;
@@ -151,7 +157,9 @@
   public queryChanged($event) {
     var parameters = $event.index;
     console.info("queryChanged: Execute search query "+parameters);
-    this._getResults(parameters, false, this.searchUtils.page, this.searchUtils.size);
+    var csv_parameters = $event.value;
+
+    this._getResults(parameters, csv_parameters, false, this.searchUtils.page, this.searchUtils.size);
   }
   private createFilters():Filter[] {
     var filter_names=["Type","Compatibility Level"];
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/dataProviders/compatibleDataProvidersTable.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/dataProviders/compatibleDataProvidersTable.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/dataProviders/compatibleDataProvidersTable.component.ts	(revision 53464)
@@ -167,7 +167,7 @@
   }
 
   private createFilters():Filter[] {
-    var filter_names=["Type","Compatibility Level"];
+    var filter_names=["Type","Compatibility"];
     var filter_ids=["datasourcetypeuiid","datasourcecompatibilityname"];
     var searchFields = new SearchFields();
     var filter_original_ids = searchFields.COMPATIBLE_DATAPROVIDER_FIELDS;
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/dataProviders/compatibleDataProviders.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/dataProviders/compatibleDataProviders.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/dataProviders/compatibleDataProviders.component.ts	(revision 53464)
@@ -20,7 +20,7 @@
                     [(results)] = "results"  [(searchUtils)] = "searchUtils"
                     [baseUrl] = "baseUrl" [showResultCount]=false
                     (queryChange)="queryChanged($event)"
-                    [csvParams]="csvParams" csvPath="resources"
+                    [csvParams]="csvParams" csvPath="datasources"
                     [disableForms]="disableForms"
                     [tableViewLink]="'/search/content-providers-table'"
                     searchFormClass="compatibleDatasourcesSearchForm">
@@ -48,7 +48,7 @@
                         "export":[]
                      };
   public CSVDownloaded = false;
-  public resourcesQuery = '&query=((oaftype exact datasource) not(datasourcecompatibilityid = UNKNOWN) not(datasourcecompatibilityid = notCompatible) not(datasourcetypeuiid = other) not(datasourcetypeuiid exact "pubsrepository::journal") not(datasourcetypeuiid exact "aggregator::pubsrepository::journals"))';
+  public resourcesQuery = '((oaftype exact datasource) not(datasourcecompatibilityid = UNKNOWN) not(datasourcecompatibilityid = notCompatible) not(datasourcetypeuiid = other) not(datasourcetypeuiid exact "pubsrepository::journal") not(datasourcetypeuiid exact "aggregator::pubsrepository::journals"))';
   public csvParams: string;
   public disableForms: boolean = false;
 properties:EnvProperties;
@@ -82,8 +82,10 @@
       this.searchUtils.page = (params['page']=== undefined)?1:+params['page'];
       this.filters = this.createFilters();
       var queryParameters = this.searchPage.getIndexQueryParametersFromUrl(params);
+      var csvParameters = this.searchPage.getQueryParametersFromUrl(params);
+
       console.info("|"+queryParameters+"|");
-      this._getResults(queryParameters, false, this.searchUtils.page, this.searchUtils.size);
+      this._getResults(queryParameters, csvParameters, false, this.searchUtils.page, this.searchUtils.size);
     });
   }
 
@@ -94,8 +96,12 @@
     if(this.subResults){
       this.subResults.unsubscribe();
     }  }
-    private _getResults(parameters:string,refine:boolean, page: number, size: number){
-        this.csvParams = parameters+this.resourcesQuery+"&type=datasources";
+    private _getResults(parameters:string, csv_parameters:string, refine:boolean, page: number, size: number){
+      if(csv_parameters.indexOf("fq=") != -1) {
+        this.csvParams = csv_parameters+" and "+this.resourcesQuery;
+      } else {
+        this.csvParams = csv_parameters+"&fq="+this.resourcesQuery;
+      }
 
       //var errorCodes:ErrorCodes = new ErrorCodes();
       this.searchUtils.status = this.errorCodes.LOADING;
@@ -148,9 +154,11 @@
 
   public queryChanged($event) {
     var parameters = $event.index;
+    var csv_parameters = $event.value;
+
     console.info("queryChanged: Execute search query "+parameters);
 
-    this._getResults(parameters, false, this.searchUtils.page, this.searchUtils.size);
+    this._getResults(parameters, csv_parameters, false, this.searchUtils.page, this.searchUtils.size);
   }
   private createFilters():Filter[] {
     var filter_names=["Type","Compatibility Level"];
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/advanced/advancedSearchOrps.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/advanced/advancedSearchOrps.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/advanced/advancedSearchOrps.component.ts	(revision 53464)
@@ -23,7 +23,8 @@
                  [csvParams]="csvParams" csvPath="other" simpleSearchLink="/search/find/other"
                  [disableForms]="disableForms"
                  [loadPaging]="loadPaging"
-                 [oldTotalResults]="oldTotalResults" [(connectCommunityId)]=connectCommunityId [piwikSiteId]=piwikSiteId >
+                 [oldTotalResults]="oldTotalResults" [(connectCommunityId)]=connectCommunityId [piwikSiteId]=piwikSiteId
+                 searchFormClass="orpsSearchForm">
     </advanced-search-page>
 
     `
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/advanced/advancedSearchDataProviders.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/advanced/advancedSearchDataProviders.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/advanced/advancedSearchDataProviders.component.ts	(revision 53464)
@@ -24,7 +24,8 @@
                  [csvParams]="csvParams" csvPath="datasources" simpleSearchLink="/search/find/dataproviders"
                  [disableForms]="disableForms"
                  [loadPaging]="loadPaging"
-                 [oldTotalResults]="oldTotalResults" [piwikSiteId]=piwikSiteId>
+                 [oldTotalResults]="oldTotalResults" [piwikSiteId]=piwikSiteId
+                 searchFormClass="datasourcesSearchForm">
     </advanced-search-page>
 
     `
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/advanced/advancedSearchOrganizations.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/advanced/advancedSearchOrganizations.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/advanced/advancedSearchOrganizations.component.ts	(revision 53464)
@@ -23,7 +23,8 @@
                  [csvParams]="csvParams" csvPath="organizations" simpleSearchLink="/search/find/organizations"
                  [disableForms]="disableForms"
                  [loadPaging]="loadPaging"
-                 [oldTotalResults]="oldTotalResults"  [piwikSiteId]=piwikSiteId>
+                 [oldTotalResults]="oldTotalResults"  [piwikSiteId]=piwikSiteId
+                 searchFormClass="organizationsSearchForm">
     </advanced-search-page>
 
     `
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/advanced/advancedSearchDatasets.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/advanced/advancedSearchDatasets.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/advanced/advancedSearchDatasets.component.ts	(revision 53464)
@@ -23,7 +23,8 @@
                  [csvParams]="csvParams" csvPath="datasets" simpleSearchLink="/search/find/datasets"
                  [disableForms]="disableForms"
                  [loadPaging]="loadPaging"
-                 [oldTotalResults]="oldTotalResults" [(connectCommunityId)]=connectCommunityId [piwikSiteId]=piwikSiteId >
+                 [oldTotalResults]="oldTotalResults" [(connectCommunityId)]=connectCommunityId [piwikSiteId]=piwikSiteId
+                 searchFormClass="datasetsSearchForm">
     </advanced-search-page>
 
     `
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/advanced/advancedSearchProjects.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/advanced/advancedSearchProjects.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/advanced/advancedSearchProjects.component.ts	(revision 53464)
@@ -22,7 +22,8 @@
                  [csvParams]="csvParams" csvPath="projects" simpleSearchLink="/search/find/projects"
                  [disableForms]="disableForms"
                  [loadPaging]="loadPaging"
-                 [oldTotalResults]="oldTotalResults"  [piwikSiteId]=piwikSiteId>
+                 [oldTotalResults]="oldTotalResults"  [piwikSiteId]=piwikSiteId
+                 searchFormClass="projectsSearchForm">
     </advanced-search-page>
 
     `
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/advanced/advancedSearchSoftware.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/advanced/advancedSearchSoftware.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/advanced/advancedSearchSoftware.component.ts	(revision 53464)
@@ -23,7 +23,8 @@
                  [csvParams]="csvParams" csvPath="software" simpleSearchLink="/search/find/software"
                  [disableForms]="disableForms"
                  [loadPaging]="loadPaging"
-                 [oldTotalResults]="oldTotalResults" [(connectCommunityId)]=connectCommunityId [piwikSiteId]=piwikSiteId>
+                 [oldTotalResults]="oldTotalResults" [(connectCommunityId)]=connectCommunityId [piwikSiteId]=piwikSiteId
+                 searchFormClass="softwareSearchForm">
     </advanced-search-page>
 
     `
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/advanced/advancedSearchPublications.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/advanced/advancedSearchPublications.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/advanced/advancedSearchPublications.component.ts	(revision 53464)
@@ -25,7 +25,8 @@
                  [loadPaging]="loadPaging"
                  [oldTotalResults]="oldTotalResults"
                  [(openaireLink)]=openaireLink
-                 [(connectCommunityId)]=connectCommunityId  [piwikSiteId]=piwikSiteId>
+                 [(connectCommunityId)]=connectCommunityId  [piwikSiteId]=piwikSiteId
+                 searchFormClass="publicationsSearchForm">
     </advanced-search-page>
     `
  })
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/searchUtils/searchForm.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/searchUtils/searchForm.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/searchUtils/searchForm.component.ts	(revision 53464)
@@ -8,16 +8,12 @@
     template: `
 
         <form [class]="(isDisabled)?'uk-margin uk-text-center uk-margin-top uk-disabled':'uk-margin uk-text-center uk-margin-top'">
-                 <input type="text" class="uk-input  uk-width-1-2" [placeholder]="placeholderText" aria-describedby="sizing-addon2"  [(ngModel)]="keyword"  name="keyword" >
-                    <button *ngIf="!link" (click)="keywordChanged()"  type="submit" class=" uk-button uk-button-danger">
-                    <span class="uk-icon">
-                    <svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="search" ratio="1"><circle fill="none" stroke="#000" stroke-width="1.1" cx="9" cy="9" r="7"></circle><path fill="none" stroke="#000" stroke-width="1.1" d="M14,14 L18,18 L14,14 Z"></path></svg>
-                    </span>Search
+                 <input type="text" class="uk-input  uk-width-xlarge" [placeholder]="placeholderText" aria-describedby="sizing-addon2"  [(ngModel)]="keyword"  name="keyword" >
+                    <button *ngIf="!link" (click)="keywordChanged()"  type="submit" class=" uk-button  portal-button">
+                    <span class="uk-icon" ><svg width="30" height="30" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="search" ratio="1.5"><circle fill="none" stroke="#000" stroke-width="1.1" cx="9" cy="9" r="7"></circle><path fill="none" stroke="#000" stroke-width="1.1" d="M14,14 L18,18 L14,14 Z"></path></svg></span>
                   </button>
-                  <button *ngIf="link"  class=" uk-button uk-button-danger" (click)="goTo()"  type="submit" >
-                    <span class="uk-icon">
-                    <svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="search" ratio="1"><circle fill="none" stroke="#000" stroke-width="1.1" cx="9" cy="9" r="7"></circle><path fill="none" stroke="#000" stroke-width="1.1" d="M14,14 L18,18 L14,14 Z"></path></svg>
-                    </span>Search
+                  <button *ngIf="link"   (click)="goTo()"  type="submit" class=" uk-button portal-button uk-padding uk-padding-remove-top uk-padding-remove-bottom ">
+                    <span class="uk-icon" ><svg width="30" height="30" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="search" ratio="1.5"><circle fill="none" stroke="#000" stroke-width="1.1" cx="9" cy="9" r="7"></circle><path fill="none" stroke="#000" stroke-width="1.1" d="M14,14 L18,18 L14,14 Z"></path></svg></span>
                   </button>
         </form>
     `
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/searchUtils/browseEntities.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/searchUtils/browseEntities.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/searchUtils/browseEntities.component.ts	(revision 53464)
@@ -15,7 +15,7 @@
     selector: 'browse-entities',
     template: `
 <div>
-  <!--div *ngIf="status == errorCodes.LOADING" class="uk-animation-fade uk-margin-large-top  uk-width-1-1" role="alert"><img class="loading-gif  uk-align-center" ></div>
+  <!--div *ngIf="status == errorCodes.LOADING" class="uk-animation-fade uk-margin-large-top  uk-width-1-1" role="alert"><span class="loading-gif  uk-align-center" ></span></div>
   <div *ngIf="status == errorCodes.NONE" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">No Results found</div>
   <div *ngIf="status == errorCodes.ERROR" class="uk-alert uk-alert-warning uk-animation-fade" role="alert">An Error Occured</div>
   <div *ngIf="status == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger" role="alert">Service temprorarily unavailable. Please try again later.</div>
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/searchUtils/advancedSearchForm.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/searchUtils/advancedSearchForm.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/searchUtils/advancedSearchForm.component.ts	(revision 53464)
@@ -18,7 +18,8 @@
   @Input() fieldIdsMap;
   @Input() selectedFields:AdvancedField[];
   @Input() isDisabled: boolean = false;
-
+  @Input() simpleSearchLink;
+  @Input() pageTitle;
   @Output() queryChange  = new EventEmitter();
   newFieldId:string;
   newFieldName:string;
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/searchUtils/browseStatistic.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/searchUtils/browseStatistic.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/searchUtils/browseStatistic.component.ts	(revision 53464)
@@ -24,6 +24,8 @@
   private _maxCharacters = 30;
   public viewAll = false;
   public routerHelper:RouterHelper = new RouterHelper();
+  keyword = "";
+  sortBy = "num";
   constructor () {
 
   }
@@ -40,5 +42,35 @@
   private _formatName(value){
     return value.name+" ";//(((value.name+" ("+value.number+")").length >this._maxCharacters)?(value.name.substring(0,(this._maxCharacters - (" ("+value.number+")").length - ('...').length))+"..."):value.name)
   }
+  filterKeywords(value){
+    if(this.keyword.length > 0){
+      if(value.toLowerCase().indexOf(this.keyword.toLowerCase()) ==-1){
+        return false;
+      }
+    }
+    return true;
+  }
 
+  getValues(filter, sortBy:string = "num"):any{
+
+    if(sortBy == "name"){
+      var array = filter.values.slice();
+      array.sort((n1,n2)=> {
+        if (n1.name > n2.name) {
+            return 1;
+        }
+
+        if (n1.name < n2.name) {
+            return -1;
+        }
+
+        return 0;
+      });
+      return array;
+    }else{
+      return filter.values;
+    }
+
+
+  }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/searchUtils/searchPaging.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/searchUtils/searchPaging.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/searchUtils/searchPaging.component.ts	(revision 53464)
@@ -6,10 +6,10 @@
     selector: 'search-paging',
     template: `
     <div class= "searchPaging uk-panel uk-margin-top uk-grid uk-margin-bottom">
-      <div class="uk-h6 uk-width-1-1@s uk-width-1-2@m" *ngIf="results && searchUtils.totalResults > 0">
+      <div class="uk-width-1-1@s uk-width-1-2@m" *ngIf="results && searchUtils.totalResults > 0">
         {{searchUtils.totalResults|number}} {{type}}, page {{searchUtils.page | number}} of {{(totalPages(searchUtils.totalResults)|number)}}
       </div>
-      <div class="uk-h6 uk-width-1-1@s uk-width-1-2@m" *ngIf="!loadPaging && oldTotalResults > 0 && searchUtils.status == errorCodes.LOADING">
+      <div class="uk-width-1-1@s uk-width-1-2@m" *ngIf="!loadPaging && oldTotalResults > 0 && searchUtils.status == errorCodes.LOADING">
         {{oldTotalResults|number}} {{type}}, page {{searchUtils.page | number}} of {{(totalPages(oldTotalResults)|number)}}
       </div>
       <div class="float-children-right-at-medium margin-small-top-at-small uk-width-1-1@s uk-width-1-2@m" *ngIf="results && searchUtils.totalResults > searchUtils.size">
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/searchUtils/searchDownload.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/searchUtils/searchDownload.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/searchUtils/searchDownload.component.ts	(revision 53464)
@@ -10,14 +10,18 @@
 @Component({
     selector: 'search-download',
     template: `
-        <span class="uk-margin-large-right" *ngIf="totalResults > 0 && totalResults <= csvLimit">
-            <!--span class="clickable" (click)="downloadfile(downloadURLAPI+type+'?format=csv&page=0&size='+totalResults+csvParams,type+'-report-'+totalResults)"-->
+        <a class="uk-margin-large-right" *ngIf="totalResults > 0 && totalResults <= csvLimit">
             <span class="clickable" (click)="downloadfile(downloadURLAPI+'?type='+type+'&format=csv'+csvParams,type+'-report-'+totalResults)">
                 <span aria-hidden="true" class="glyphicon glyphicon-download"></span>
                 <span  class="uk-icon"><svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="download" ratio="1"><polyline fill="none" stroke="#000" points="14,10 9.5,14.5 5,10"></polyline><rect x="3" y="17" width="13" height="1"></rect><line fill="none" stroke="#000" x1="9.5" y1="13.91" x2="9.5" y2="3"></line></svg></span> (CSV)
             </span>
+        </a>
+        <span class="uk-margin-large-right cursor-not-allowed" *ngIf="totalResults > csvLimit"
+                    [attr.uk-tooltip]="'pos:right'"
+                    [title]="'Download up to '+csvLimit+' results'">
+            <span aria-hidden="true" class="glyphicon glyphicon-download"></span>
+            <span  class="uk-icon"><svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="download" ratio="1"><polyline fill="none" stroke="#000" points="14,10 9.5,14.5 5,10"></polyline><rect x="3" y="17" width="13" height="1"></rect><line fill="none" stroke="#000" x1="9.5" y1="13.91" x2="9.5" y2="3"></line></svg></span> (CSV)
         </span>
-    <!--modal-alert></modal-alert-->
     <modal-loading></modal-loading>
     <modal-alert #AlertModalCsvError></modal-alert>
     `
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/searchUtils/advancedSearchForm.module.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/searchUtils/advancedSearchForm.module.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/searchUtils/advancedSearchForm.module.ts	(revision 53464)
@@ -1,6 +1,7 @@
 import { NgModule}            from '@angular/core';
 import { CommonModule }        from '@angular/common';
 import { FormsModule }         from '@angular/forms';
+import { RouterModule } from '@angular/router';
 
 import{AdvancedSearchFormComponent} from './advancedSearchForm.component';
 import {EntitiesAutocompleteModule} from '../../utils/entitiesAutoComplete/entitiesAutoComplete.module';
@@ -10,7 +11,7 @@
 
 @NgModule({
   imports: [
-    CommonModule, FormsModule,    EntitiesAutocompleteModule,   StaticAutocompleteModule, DateFilterModule
+    CommonModule, FormsModule,  RouterModule,  EntitiesAutocompleteModule,   StaticAutocompleteModule, DateFilterModule
   ],
   declarations: [
     AdvancedSearchFormComponent,
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/searchUtils/searchPageTableView.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/searchUtils/searchPageTableView.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/searchUtils/searchPageTableView.component.ts	(revision 53464)
@@ -61,7 +61,6 @@
   @ViewChild (ModalLoading) loading : ModalLoading ;
   private searchFieldsHelper:SearchFields = new SearchFields();
   private queryParameters: Map<string, string>  = new Map<string,string>();
-  public countFilters= 0;
   public parameterNames:string[] =[];
   public parameterValues:string[] =[];
 
@@ -429,7 +428,7 @@
               */
               if(filter.title == "Type") {
                 field = "type";
-              } else if(filter.title == "Compatibility Level") {
+              } else if(filter.title == "Compatibility") {
                 field = "compatibility";
               } else if(filter.title == "Funder") {
                 field = "funder";
@@ -526,4 +525,16 @@
     public encode(param: string): string {
       return StringUtils.URIEncode(param);
     }
+    public countFilters():number{
+      var filters=0;
+      for (let filter of this.filters){
+         if(filter.countSelectedValues > 0){
+             filters+=filter.countSelectedValues;
+         }
+       }
+      if(this.searchUtils.keyword.length > 0 ){
+        filters++;
+      }
+      return filters;
+    }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/searchUtils/advancedSearchPage.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/searchUtils/advancedSearchPage.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/searchUtils/advancedSearchPage.component.ts	(revision 53464)
@@ -40,6 +40,7 @@
   @Input() oldTotalResults: number = 0;
   @Input() openaireLink: string;
   @Input() connectCommunityId: string;
+  @Input() searchFormClass: string = "searchForm";
   piwiksub: any;
   public parameterNames:string[] =[];
   public parameterValues:string[] =[];
@@ -275,7 +276,7 @@
        if(this.fieldIdsMap[id]["param"] == parameter){
          return this.fieldIdsMap[id]["operator"];
        }
-     }    
+     }
    }
    // for loading
    public openLoading(){
